<?php

/**
 * @file
 * Provides SDL BeGlobal Translator ui controller.
 */

/**
 * Google translator ui controller.
 */
class TMGMTSDLBeGlobalTranslatorUIController extends TMGMTDefaultTranslatorUIController {

  /**
   * Overrides TMGMTDefaultTranslatorUIController::pluginSettingsForm().
   */
  public function pluginSettingsForm($form, &$form_state, TMGMTTranslator $translator, $busy = FALSE) {

    $form['api_key'] = array(
      '#type' => 'textfield',
      '#title' => t('SDL BeGlobal API key'),
      '#default_value' => $translator->getSetting('api_key'),
      '#description' => t('Please enter your SDL BGlobal API key or visit <a href="@url">SDL BeGlobal developers site</a> to create new one.',
        array('@url' => 'https://www.beglobal.com/developers/')),
    );
    $form['translation_quality'] = array(
      '#type' => 'select',
      '#options' => TMGMTSDLBeGlobalTranslatorPluginController::getTranslationQualityOptions(),
      '#title' => t('SDL BeGlobal translation quality'),
      '#default_value' => $translator->getSetting('translation_quality'),
      '#description' => t('Please enter your SDL BGlobal translation quality chosen or visit <a href="@url">SDL BeGlobal developers site</a> to pick one.',
        array('@url' => 'https://www.beglobal.com/developers/')),
    );

    return parent::pluginSettingsForm($form, $form_state, $translator);
  }

}
